<template>
    <el-tabs v-model="tabActiveName" @tab-click="handleTabClick" style="margin-bottom:10px">
        <el-tab-pane label="关键词回复" name="keyword"></el-tab-pane>
        <el-tab-pane label="关注后回复" name="subscribe"></el-tab-pane>
    </el-tabs>
</template>
<script>
export default {
    props:{
        activeName:{
            type:String,
            default: 'subscribe'
        }
    },
    data(){
        return{
            tabActiveName:'subscribe',
        }
    }, 
    methods:{
        handleTabClick(tab, event) {
            this.$router.push({ path: "/weixinmp/reply/"+this.tabActiveName });
        }
    },
    created(){
        this.tabActiveName = this.activeName
    },
}
</script>

